Package org.apache.sling.testing.junit.rules

## Class TestDescriptionRule

- java.lang.Object
- - org.junit.rules.TestWatcher
  - - org.apache.sling.testing.junit.rules.TestDescriptionRule

All Implemented Interfaces:
  `org.junit.rules.TestRule`

    public class TestDescriptionRule
    extends org.junit.rules.TestWatcher

Junit rule which exposes the description of the current executing test as a thread local instance

### Constructor Summary

Constructors
`TestDescriptionRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `finished​(org.junit.runner.Description description)`
`protected void` `starting​(org.junit.runner.Description description)`

### Methods inherited from class org.junit.rules.TestWatcher

`apply, failed, skipped, skipped, succeeded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestDescriptionRule

    public TestDescriptionRule()

### Method Detail

#### finished

    protected void finished​(org.junit.runner.Description description)

Overrides:
  `finished` in class `org.junit.rules.TestWatcher`

#### starting

    protected void starting​(org.junit.runner.Description description)

Overrides:
  `starting` in class `org.junit.rules.TestWatcher`